| THM1176InstrumentDriver 1.2 C++ API for Metrolab THM1176

Loading...
Searching...
No Matches
TestSCPIParsing.cpp File Reference

Implementation for SCPI QtTest object. More...

`#include "TestSCPIParsing.h"`
`#include "SCPIParsing.h"`
`#include "VISAInstrumentBuffer.h"`
`#include <cstddef>`
Include dependency graph for TestSCPIParsing.cpp:

Go to the source code of this file.

## Macros
#define | NOT_ARBITRARY_BLOCK "DUMMY"
#define | ARBITRARY_BLOCK_INFINITE "#0abcd\0efgh1234#'?@~."
#define | ARBITRARY_BLOCK_DEFINITE1 "#219abcd\0efgh1234#'?@~.NOTINBLOCK"
#define | ARBITRARY_BLOCK_DEFINITE2 "#6000019abcd\0efgh1234#'?@~.NOTINBLOCK"
#define | ARBITRARY_BLOCK_DEFINITE_TOO_SHORT "#6000019abcd\0efgh1234#'?@~"
#define | RAW_DATA_BLOCK "abcd\0efgh1234#'?@~."
#define | ARBITRARY_BLOCK_DEFINITE "#219abcd\0efgh1234#'?@~."
#define | NOT_CHANNEL "(1!2)"
#define | CHANNEL_EMPTY "(@)"
#define | CHANNEL_1PORT "(@1)"
#define | CHANNEL_MULTIPORTS "(@1!2!255!18)"
#define | CHANNEL_MULTIPORTS2 "(@1!2!255!18,3!8,7)"
#define | BINARY_CHANNELLIST_EMPTY {}
#define | BINARY_CHANNELLIST_1PORT {1}
#define | BINARY_CHANNELLIST_MULTI {1,2,255,18}
#define | BINARY_CHANNELLIST_MULTI2 {1,2,255,18,0,3,8,0,7}

## Functions
void | l_PromptUser (std::string S)

## Detailed Description

Implementation for SCPI QtTest object.

Definition in file TestSCPIParsing.cpp.

## Macro Definition Documentation

## ◆ ARBITRARY_BLOCK_DEFINITE

#define ARBITRARY_BLOCK_DEFINITE "#219abcd\0efgh1234#'?@~."

## ◆ ARBITRARY_BLOCK_DEFINITE1

#define ARBITRARY_BLOCK_DEFINITE1 "#219abcd\0efgh1234#'?@~.NOTINBLOCK"

## ◆ ARBITRARY_BLOCK_DEFINITE2

#define ARBITRARY_BLOCK_DEFINITE2 "#6000019abcd\0efgh1234#'?@~.NOTINBLOCK"

## ◆ ARBITRARY_BLOCK_DEFINITE_TOO_SHORT

#define ARBITRARY_BLOCK_DEFINITE_TOO_SHORT "#6000019abcd\0efgh1234#'?@~"

## ◆ ARBITRARY_BLOCK_INFINITE

#define ARBITRARY_BLOCK_INFINITE "#0abcd\0efgh1234#'?@~."

## ◆ BINARY_CHANNELLIST_1PORT

#define BINARY_CHANNELLIST_1PORT {1}

## ◆ BINARY_CHANNELLIST_EMPTY

#define BINARY_CHANNELLIST_EMPTY {}

## ◆ BINARY_CHANNELLIST_MULTI

#define BINARY_CHANNELLIST_MULTI {1,2,255,18}

## ◆ BINARY_CHANNELLIST_MULTI2

#define BINARY_CHANNELLIST_MULTI2 {1,2,255,18,0,3,8,0,7}

## ◆ CHANNEL_1PORT

#define CHANNEL_1PORT "(@1)"

## ◆ CHANNEL_EMPTY

#define CHANNEL_EMPTY "(@)"

## ◆ CHANNEL_MULTIPORTS

#define CHANNEL_MULTIPORTS "(@1!2!255!18)"

## ◆ CHANNEL_MULTIPORTS2

#define CHANNEL_MULTIPORTS2 "(@1!2!255!18,3!8,7)"

## ◆ NOT_ARBITRARY_BLOCK

#define NOT_ARBITRARY_BLOCK "DUMMY"

## ◆ NOT_CHANNEL

#define NOT_CHANNEL "(1!2)"

## ◆ RAW_DATA_BLOCK

#define RAW_DATA_BLOCK "abcd\0efgh1234#'?@~."

## Function Documentation

## ◆ l_PromptUser()

void l_PromptUser | ( | std::string | S | ) |

Definition at line 19 of file TestSCPIParsing.cpp.